## bti 028

=== debian/changelog ===
bti (028-2) unstable; urgency=low

  * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
    Mohammad Saied which adds the oauth_callback parameter to the identi.ca
    request_token URI in order to make OAuth work with identi.ca
    (closes: #602507).
  * Minor fixes in README.Debian.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100

bti (028-1) unstable; urgency=low

  * New upstream release:
    - support for replying to notices
    - adds OAuth support for both twitter and identi.ca (closes: #588235)
    - split --background from --bash, and make the latter imply the former
  * Refresh manpage-debian.patch.
  * Set Standards-Version to 3.9.1 (no changes).
  * Add build dependency on liboauth-dev.
  * debian/rules: switch order of dh arguments (preparation for dh8).
  * debian/copyright: update years of upstream copyright.
  * Add README.Debian about OAuth usage.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
