## bti 031

=== debian/changelog ===
bti (031-2) unstable; urgency=low

  * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
    URI's to point to https instead of http (closes: #602507).
  * Set Standards-Version to 3.9.2 (no changes).
  * Improve long description.

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200

bti (031-1) unstable; urgency=low

  * New upstream release:
    - addresses "bti doesn't warn if the password is incorrect": check server
      replies in non-background mode, only in non-OAuth mode
      (partly solves #602502)

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100

bti (030-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 8.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100

bti (029-2) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100

bti (029-1) experimental; urgency=low

  * New upstream release: includes fixes for
    + "the --dry-run option has no effect (tweets get posted anyway)
       with OAuth" (closes: #608608)
    + "--replyto doesn't work with OAuth" (closes: #608112)
  * laconi.ca was renamed to StatusNet (in August 2009); adjust package
    description and add a patch to change the name in the manpage and the
    example config; thanks to Julien Valroff for the bug report
    (closes: #605407).
  * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
    upstream.
  * Refresh remaining patches.
  * debian/copyright: update years of upstream and packaging copyright; update
    formatting.
  * Don't install README anymore.
  * Upload to experimental because of the freeze.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
