=== debian/control ===
Source: bti
Section: net
Priority: extra
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 8), bash-completion (>= 1:1.1-3),
 libcurl4-gnutls-dev, libreadline-dev, libxml2-dev, libpcre3-dev,
 liboauth-dev, xsltproc, docbook-xsl, docbook-xml
Standards-Version: 3.9.2
Vcs-Svn: http://svn.toastfreeware.priv.at/debian/bti/trunk/
Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/bti/trunk/
Homepage: http://gregkh.github.com/bti/

Package: bti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bash-completion
Description: command line micro-blogging tool
 bti sends a tweet message to twitter.com, identi.ca, or any other StatusNet
 instance.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows one to see one's friends', a group's
 or a specific user's timeline, the public timeline, and replies to messages.
