## bti 032

=== debian/changelog ===
bti (032-1) unstable; urgency=low

  * New upstream release
  * debian/watch: use github redirector, there are no released tarballs at the
    moment.
  * The tarball from github doesn't ship a configure script; use
    dh-autoreconf.
  * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
    included upstream).

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100

bti (031-4) unstable; urgency=low

  * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
    conflict with each other, and liboauth-dev now requires the former.
    (Fixes a not-yet-detected FTBFS.)

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100

bti (031-3) unstable; urgency=low

  * Add patch to output the correct configfile name (identi.ca/OAuth/access
    tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
