=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: gregor herrmann <gregoa@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 8), bash-completion (>= 1:1.1-3),
- libcurl4-gnutls-dev, libreadline-dev, libxml2-dev, libpcre3-dev,
- liboauth-dev, xsltproc, docbook-xsl, docbook-xml
+ libcurl4-nss-dev, libreadline-dev, libxml2-dev, libpcre3-dev, liboauth-dev,
+ xsltproc, docbook-xsl, docbook-xml,
+ dh-autoreconf
 Standards-Version: 3.9.2
 Vcs-Svn: http://svn.toastfreeware.priv.at/debian/bti/trunk/
 Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/bti/trunk/
