=== debian/watch ===
version=3

# http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-(.+).tar.gz
# at the moment there are no released tarballs available
# let's try the gitbug redirector
http://githubredir.debian.net/github/gregkh/bti/ (\d{3}).tar.gz
