## bti 033

=== debian/changelog ===
bti (033-2) unstable; urgency=low

  * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
    (Closes: #714335)

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200

bti (033-1) unstable; urgency=low

  * New upstream release:
    - fixes "bti should terminate with an error if the --config file can't
      be read" (Closes: #669192)
    - fixes "bti no longer works with Twitter and loses posted tweets"
      by adjusting to the Twitter API v 1.1
      (Closes: #714032)
  * Refresh manpage-debian.patch (offset).
  * Add build dependency on libjson-c-dev.
  * Add patch to handle Debian's libjson-c.
  * Add a patch to fix a spelling mistake in the manpage.
  * Update OAuth instructions on README.Debian. (Closes: #706104)
  * Update long description (direct messages are supported now).

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200

bti (032-2) unstable; urgency=low

  * Update Vcs-* headers.
  * debian/watch: update after github URL schema change.
  * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
    #650138) and make build dependency on liboauth-dev versioned just in
    case). (LP: #1072720)
  * Remove version from bash-completion build dependency, nothing older in
    the archive.
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Set Standards-Version to 3.9.4 (no changes).
  * Bump debhelper compatibility level to 9.
  * debian/rules: make build non-silent.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
