=== debian/control ===
Source: bti
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Section: net
Priority: extra
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-autoreconf,
               docbook-xml,
               docbook-xsl,
               libcurl4-gnutls-dev,
               libjson-c-dev,
               liboauth-dev (>= 0.9.4-3.1),
               libpcre3-dev,
               libreadline-dev,
               libxml2-dev,
               xsltproc
Standards-Version: 3.9.4
Vcs-Browser: http://git.toastfreeware.priv.at/debian/bti.git/
Vcs-Git: git://git.toastfreeware.priv.at/debian/bti.git
Homepage: http://gregkh.github.com/bti/

Package: bti
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: bash-completion
Description: command line micro-blogging tool
 bti sends a tweet message to twitter.com, identi.ca, or any other StatusNet
 instance.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows one to see one's friends', a group's
 or a specific user's timeline, the public timeline, replies to messages, and
 direct messages (for Twitter).
