## bti 034

=== debian/changelog ===
bti (034-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:19 +1100

bti (034-6build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:42:02 +0000

bti (034-6) unstable; urgency=medium

  * Replace '--with bash{_,-}completion' in debian/rules with a build
    dependency on 'dh-sequence-bash-completion'.
  * Add patch from upstream pull request to change from pcre(3) to pcre2.
    Also, change build dependency from libpcre3-dev to libpcre2-dev.
    (Closes: #1000121)
  * Add debian/bti.maintscript to remove obsolete conffile
    /etc/bash_completion.d/bti which was installed by older versions of
    bash-completion.
  * debian/rules: enable all hardening flags.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Mon, 22 Nov 2021 22:50:30 +0100

bti (034-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Update years of packaging copyright.
  * Update Homepage in debian/control. Thanks to duck.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 May 2020 20:15:04 +0200

bti (034-4) unstable; urgency=medium

  * Add patch from upstream pull request to remove is_error() macro
    which is deprecated in json-c 0.13.1 and later removed competely.
    (Closes: #915839)
  * Fix Vcs-* fields.
  * Use HTTPS for Format URL in debian/copyright.
  * Add debian/upstream/metadata.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 4.3.0.
  * Remove unneeded version constraint from build dependency.
  * Remove trailing whitespace from debian/*.
  * Add a (superficial) autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Dec 2018 23:26:10 +0100

bti (034-3) unstable; urgency=medium

  * Update debian/control priority to "optional"
  * Bump Standards-Version to 4.1.4
  * Use https URLs in debian/control
  * Bump copyright years in debian/copyright
  * Use debhelper and compat level 11; drop dh-autoreconf dependency,
    which is enabled by default since compat level 10.

 -- tony mancill <tmancill@debian.org>  Sun, 01 Jul 2018 08:18:41 -0700

bti (034-2) unstable; urgency=medium

  * debian/watch: switch upstream URL back to kernel.org.
  * Also update Source field in debian/copyright.
  * Add build dependency on pkg-config.
    Thanks to David Suárez for the bug report.
    (Closes: #747771)

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 21:01:38 +0200

bti (034-1) unstable; urgency=medium

  * New upstream release. Important changes:
    - use https for all Twitter URLs
      Closes: #735367
    - drop (already broken) support for StatusNet / identi.ca (which has
      switched from StatusNet to the never-supported pump.io)
      Closes: #714330, #717133
  * debian/*: don't mention identi.ca/StatusNet anymore.
  * Add patch to remove some more references to identi.ca from the help
    output and the example config.
  * Drop two patches (taken from upstream or fixed identically),
    refresh one (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 19:01:33 +0100
