=== debian/control ===
Source: bti
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               docbook-xml,
               docbook-xsl,
               libcurl4-gnutls-dev,
               libjson-c-dev,
               liboauth-dev,
               libpcre2-dev,
               libreadline-dev,
               libxml2-dev,
               pkg-config,
               xsltproc
Standards-Version: 4.6.0
Vcs-Browser: https://git.toastfreeware.priv.at/debian/bti.git
Vcs-Git: https://git.toastfreeware.priv.at/debian/bti.git
Homepage: https://gregkh.github.io/bti/
Rules-Requires-Root: no

Package: bti
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: bash-completion
Description: command line Twitter client
 bti sends a tweet message to twitter.com.
 .
 bti provides an easy way to send tweet messages directly from the command line
 or a script. It reads the message on standard input and uses the account
 and password settings either from the command line options or from a config
 file to deliver the message.
 .
 Besides sending messages bti also allows one to see one's friends', a group's
 or a specific user's timeline, the public timeline, replies to messages, and
 direct messages.
