=== debian/tests/control ===
Tests: bti-cli
Depends: @
Restrictions: superficial
