=== debian/watch ===
version=4

# old location:
# http://www.kernel.org/pub/linux/kernel/people/gregkh/bti/bti-(.+)\.tar\.gz

# the github redirector:
# http://githubredir.debian.net/github/gregkh/bti/ .*/(\d{3})\.tar\.gz

# github directly:
# https://github.com/gregkh/bti/tags .*/(\d{3})\.tar\.gz

# back on kernel.org:
https://www.kernel.org/pub/software/web/bti/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

# this would be nice but the signature is on the .tar and not the
# .tar.gz or .tar.xz
# opts=pgpsigurlmangle=s/\.(?:gz|bzip2|xz)$/.sign/ \
